// StCalcDlg.h : header file
//

#pragma once
#include "RealStack.h"

// CStCalcDlg dialog
class CStCalcDlg : public CDialog
{
// Construction
public:
    CStCalcDlg(CWnd* pParent = NULL);   // standard constructor

    RealStack m_Stack;
    int m_StackX, m_StackY;     // Field for stack drawing

    void Display(); // Display the stack top in the "Result" field

// Dialog Data
    enum { IDD = IDD_STCALC_DIALOG };

    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
    CString m_sRes;
    CString m_sInput;
    afx_msg void OnBnClickedPush();
    afx_msg void OnBnClickedPlus();
    afx_msg void OnBnClickedMinus();
    afx_msg void OnBnClickedMul();
    afx_msg void OnBnClickedDiv();
    afx_msg void OnBnClickedSqrt();
    afx_msg void OnBnClickedExp();
    afx_msg void OnBnClickedSin();
    afx_msg void OnBnClickedCos();
    afx_msg void OnBnClickedPi();
    afx_msg void OnBnClickedE();
    afx_msg void OnBnClickedPop();
    afx_msg void OnBnClickedInit();
    afx_msg void OnBnClickedDup();
    afx_msg void OnBnClickedExch();
    afx_msg void OnEnKillfocusInput();
};
